QuickBlox API is comprised of different web resources representing data associated with chat activities. You can directly interact with these resources via dedicated actions over standard HTTP protocols.
QuickBlox API is implemented based on the RESTful principles. REST is a certain specification that dictates how to implement and use the HTTP protocol. Thus, in response to HTTP requests, you get data back in the form of JSON payloads. Using Server API you can integrate QuickBlox functionality with your application.Use Server API for server-server connection or if your application programming language is not supported by QuickBlox SDKs.
For iOS, JavaScript and Android integration, use QuickBlox SDKs, not Server API.
Base URL is a value identifying particular API resource. This URL remains constant for all requests and constitutes the first half of the complete request URL. Use https://api.quickblox.com as the base URL.The second half of the resource URL is the endpoint representing a variable that must be set with appropriate values to access a specific resource. For example, /login.
A header is an integral part of each Server API request and response indicating information about request and response body and authorization. QuickBlox Server API provides two headers types:Standard headerA Content-type API header that tells the server the media type of the request and is used for PUT and POST requests only. Thus, QuickBlox Server API supports application/json and application/x-www-form-urlencoded content type.QuickBlox headerA QB-Token request header determines a unique value assigned to the current HTTP connection between the application and QuickBlox server.A QB-Token-ExpirationDate response header determines the token expiration date.
QuickBlox server uses automatic UTF-8 encoding to convert URL into a universally accepted and understood format.
Do NOT encode URL, the server does it for you. If the server receives a URL that already has been encoded by the client, the request will not be processed by the server.
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"QuickBlox","colors":{"primary":"#3978fc","light":"#3978fc","dark":"#3978fc"},"logo":{"light":"https://mintcdn.com/quickblox/ZK0J4-dDJuuhpUQu/logo/light.svg?fit=max\u0026auto=format\u0026n=ZK0J4-dDJuuhpUQu\u0026q=85\u0026s=2ca77d61090cf3e9a7512358a3ad30b1","dark":"https://mintcdn.com/quickblox/ZK0J4-dDJuuhpUQu/logo/dark.svg?fit=max\u0026auto=format\u0026n=ZK0J4-dDJuuhpUQu\u0026q=85\u0026s=a8aaf148bf91f6898d03d0d3184114a9"},"favicon":"https://mintcdn.com/quickblox/blsYQNp-sI61UYaV/favicon.png?fit=max\u0026auto=format\u0026n=blsYQNp-sI61UYaV\u0026q=85\u0026s=62ec978bc2dc633ef042e7636c089254","navbar":{"links":[{"href":"https://quickblox.github.io/q-consultation/","label":"Q-Consultation"},{"href":"https://help.quickblox.com/","label":"Support"},{"href":"https://quickblox.com/","label":"quickblox.com"}],"primary":{"type":"button","label":"Dashboard","href":"https://admin.quickblox.com/"}},"footer":{"socials":{"x":"https://x.com/QuickBlox","facebook":"https://www.facebook.com/quickblox","linkedin":"https://www.linkedin.com/company/quickblox","instagram":"https://www.instagram.com/quickblox_official_","medium":"https://medium.com/quickblox-engineering","github":"https://github.com/QuickBlox","discord":"https://bit.ly/quickblox-dev-community"}},"integrations":{"ga4":{"measurementId":"G-CJ7RE2GB2V"}},"contextual":{"options":["chatgpt","claude","copy"],"display":"header"},"styling":{"latex":false},"navigation":{"global":{"anchors":[{"anchor":"SDK Downloads","icon":"webhook","href":"https://github.com/QuickBlox"},{"anchor":"Community","icon":"discord","href":"https://discord.com/invite/ZWZ3WpYZ9q"},{"anchor":"Blog","icon":"newspaper","href":"https://quickblox.com/blog/"}]},"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"quickblox","hasAudioNarration":false,"actualSubdomain":"quickblox","customDomains":["docs.quickblox.com"],"gitSource":{"type":"github","owner":"quickblox","repo":"docs","deployBranch":"main","contentDirectory":"","isPrivate":false,"mountPath":"","label":""},"chroma":{"liveDeploymentHistoryId":"6a8dc27ca93e48aebcc61c6f","collectionId":"6f899a07-3988-43cd-ac6e-7ba934508cca","schemaVersion":"v3","latestBuiltDeploymentHistoryId":"6a8dc27ca93e48aebcc61c6f"},"feedback":{"issues":true,"edits":false,"thumbs":true},"entitlements":{"AI_CHAT":{"status":"ENABLED"},"WEB_MCP":{"status":"ENABLED"},"NARRATION":{"status":"ENABLED"}},"buildId":"6a8dc27ca93e48aebcc61c6f","clientVersion":"0.0.4045","searchFilterCounts":[{"language":"default","tag":"Server API","count":105},{"language":"default","tag":"REST API","count":105},{"language":"default","tag":"SDKs","count":98},{"language":"default","tag":"Chat","count":57},{"language":"default","tag":"Android","count":26},{"language":"default","tag":"iOS","count":25},{"language":"default","tag":"UIKits","count":23},{"language":"default","tag":"Custom Objects","count":22},{"language":"default","tag":"AI Agent","count":21},{"language":"default","tag":"Flutter","count":20}]},"assistantConfig":{},"basePath":"","hasChatPermissions":true,"hasWebMcpPermissions":true,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"full-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"byok-sep-25","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"vite-origin","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-updated-9-15","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-sso-scim","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-signup","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-dual-write","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-enabled","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"approve-review-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"sso-setup-deadline-banner","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"googleFontsInlined":false},"customCss":[{"filePath":"styles.css","content":".icon-group{display:flex;gap:10px;flex-wrap:wrap}.custom-icon{width:24px;height:24px}.inline-link{display:inline-flex;align-items:center;color:#007bff;margin-top:10px;text-decoration:none;transition:color .3s ease,text-decoration .3s ease}.inline-link:hover{color:#030f1c}.centered-image,.centered-video{display:block;margin-left:auto;margin-right:auto}.centered-image{width:500px;height:auto}.centered-video{max-width:100%}.inline-link Icon{margin-right:5px}.icon-group .icon{width:20px;height:20px;vertical-align:middle}.icon-group .icon,.icon-group a{display:inline-block}.icon-group img,.icon-group svg{width:20px;height:20px;cursor:pointer;pointer-events:none}.card{box-shadow:0 4px 6px rgba(0,0,0,.1);transition:transform .3s ease,box-shadow .3s ease;background-color:#fff;border-radius:8px;padding:16px}.card:hover{transform:translateY(-5px);box-shadow:0 8px 16px rgba(0,0,0,.4)}.button{display:inline-block;padding:10px 20px;text-align:center;background-color:#007bff;color:#fff;border-radius:5px;text-decoration:none;white-space:nowrap}.button:hover{background-color:#0056b3}.warning{background-color:red!important}"}],"page":{"pagePath":"reference/overview","slug":"/reference/overview","pageMetadata":{"title":"Overview","description":"QuickBlox API is comprised of different web resources representing data associated with chat activities. You can directly interact with these resources via dedicated actions over standard HTTP protocols.","icon":"circle-info","href":"/reference/overview"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"QuickBlox API is comprised of different web resources representing data associated with chat activities. You can directly interact with these resources via dedicated actions over standard HTTP protocols.\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={code:`code`,p:`p`,strong:`strong`,..._provideComponents(),...props.components},{Heading,Warning}=_components;if(!Heading)_missingMdxReference(`Heading`,true);if(!Warning)_missingMdxReference(`Warning`,true);return _jsxs(_Fragment,{children:[_jsx(_components.p,{children:`QuickBlox API is implemented based on the RESTful principles. REST is a certain specification that dictates how to implement and use the HTTP protocol. Thus, in response to HTTP requests, you get data back in the form of JSON payloads. Using Server API you can integrate QuickBlox functionality with your application.`}),`\n`,_jsx(_components.p,{children:`Use Server API for server-server connection or if your application programming language is not supported by QuickBlox SDKs.`}),`\n`,_jsx(Warning,{children:_jsx(_components.p,{children:`For iOS, JavaScript and Android integration, use QuickBlox SDKs, not Server API.`})}),`\n`,_jsx(Heading,{level:`4`,id:`base-url`,children:`Base URL`}),`\n`,_jsxs(_components.p,{children:[`Base URL is a value identifying particular API resource. This URL remains constant for all requests and constitutes the first half of the complete request URL. Use `,_jsx(_components.code,{children:`https://api.quickblox.com`}),` as the base URL.`]}),`\n`,_jsxs(_components.p,{children:[`The second half of the resource URL is the endpoint representing a variable that must be set with appropriate values to access a specific resource. For example, `,_jsx(_components.code,{children:`/login`}),`.`]}),`\n`,_jsx(Heading,{level:`4`,id:`headers`,children:`Headers`}),`\n`,_jsx(_components.p,{children:`A header is an integral part of each Server API request and response indicating information about request and response body and authorization. QuickBlox Server API provides two headers types:`}),`\n`,_jsx(_components.p,{children:_jsx(_components.strong,{children:`Standard header`})}),`\n`,_jsxs(_components.p,{children:[`A `,_jsx(_components.code,{children:`Content-type`}),` API header that tells the server the media type of the request and is used for `,_jsx(_components.code,{children:`PUT`}),` and `,_jsx(_components.code,{children:`POST`}),` requests only. Thus, QuickBlox Server API supports `,_jsx(_components.code,{children:`application/json`}),` and `,_jsx(_components.code,{children:`application/x-www-form-urlencoded`}),` content type.`]}),`\n`,_jsx(_components.p,{children:_jsx(_components.strong,{children:`QuickBlox header`})}),`\n`,_jsxs(_components.p,{children:[`A `,_jsx(_components.code,{children:`QB-Token`}),` request header determines a unique value assigned to the current HTTP connection between the application and QuickBlox server.`]}),`\n`,_jsxs(_components.p,{children:[`A `,_jsx(_components.code,{children:`QB-Token-ExpirationDate`}),` response header determines the token expiration date.`]}),`\n`,_jsx(Heading,{level:`4`,id:`url-encoding`,children:`URL encoding`}),`\n`,_jsx(_components.p,{children:`QuickBlox server uses automatic UTF-8 encoding to convert URL into a universally accepted and understood format.`}),`\n`,_jsx(Warning,{children:_jsx(_components.p,{children:`Do NOT encode URL, the server does it for you. If the server receives a URL that already has been encoded by the client, the request will not be processed by the server.`})})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Overview","description":"QuickBlox API is comprised of different web resources representing data associated with chat activities. You can directly interact with these resources via dedicated actions over standard HTTP protocols.","icon":"circle-info","href":"/reference/overview"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[{"title":"Base URL","slug":"base-url","depth":4,"children":[]},{"title":"Headers","slug":"headers","depth":4,"children":[]},{"title":"URL encoding","slug":"url-encoding","depth":4,"children":[]}],"codeExamples":{}},"jsLinks":[],"subdomain":"quickblox","siteName":"QuickBlox","title":"Overview - QuickBlox","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2025-08-13T15:50:34.121Z","originalFileLocation":"reference/overview.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"QuickBlox API is comprised of different web resources representing data associated with chat activities. You can directly interact with these resources via dedicated actions over standard HTTP protocols.\">\u003cmeta data-mint-head name=\"application-name\" content=\"QuickBlox\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/quickblox/xsijdUMkGjrzOYFW/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/quickblox/xsijdUMkGjrzOYFW/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/quickblox/xsijdUMkGjrzOYFW/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/quickblox/xsijdUMkGjrzOYFW/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/quickblox/xsijdUMkGjrzOYFW/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/quickblox/xsijdUMkGjrzOYFW/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/quickblox/xsijdUMkGjrzOYFW/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/quickblox/xsijdUMkGjrzOYFW/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/quickblox/xsijdUMkGjrzOYFW/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Overview - QuickBlox\">\u003cmeta data-mint-head property=\"og:description\" content=\"QuickBlox API is comprised of different web resources representing data associated with chat activities. You can directly interact with these resources via dedicated actions over standard HTTP protocols.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"QuickBlox\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.quickblox.com/reference/overview\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://quickblox.mintlify.app/_mintlify/api/og/v2?division=REST+API\u0026amp;title=Overview\u0026amp;description=QuickBlox+API+is+comprised+of+different+web+resources+representing+data+associated+with+chat+activities.+You+can+directly+interact+with+these+resources+via+dedi\u0026amp;theme=5ff450e9301b53695b58d9b0\u0026amp;signature=0331de887bacb1d10e6eda61869495874b0827e8996580cd0404c5832416c162\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Overview - QuickBlox\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"QuickBlox API is comprised of different web resources representing data associated with chat activities. You can directly interact with these resources via dedicated actions over standard HTTP protocols.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://quickblox.mintlify.app/_mintlify/api/og/v2?division=REST+API\u0026amp;title=Overview\u0026amp;description=QuickBlox+API+is+comprised+of+different+web+resources+representing+data+associated+with+chat+activities.+You+can+directly+interact+with+these+resources+via+dedi\u0026amp;theme=5ff450e9301b53695b58d9b0\u0026amp;signature=0331de887bacb1d10e6eda61869495874b0827e8996580cd0404c5832416c162\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/quickblox/xsijdUMkGjrzOYFW/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"QuickBlox\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#3978fc\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.quickblox.com/reference/overview\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/reference/overview.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.quickblox.com/#organization\",\"name\":\"QuickBlox\",\"url\":\"https://docs.quickblox.com\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/quickblox/ZK0J4-dDJuuhpUQu/logo/light.svg?fit=max\u0026auto=format\u0026n=ZK0J4-dDJuuhpUQu\u0026q=85\u0026s=2ca77d61090cf3e9a7512358a3ad30b1\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.quickblox.com#website\",\"name\":\"QuickBlox\",\"url\":\"https://docs.quickblox.com\",\"publisher\":{\"@id\":\"https://docs.quickblox.com/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.quickblox.com/reference/overview#webpage\",\"url\":\"https://docs.quickblox.com/reference/overview\",\"name\":\"Overview\",\"description\":\"QuickBlox API is comprised of different web resources representing data associated with chat activities. You can directly interact with these resources via dedicated actions over standard HTTP protocols.\",\"dateModified\":\"2025-08-13T15:50:34.121Z\",\"isPartOf\":{\"@id\":\"https://docs.quickblox.com#website\"},\"breadcrumb\":{\"@id\":\"https://docs.quickblox.com/reference/overview#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.quickblox.com/reference/overview#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"QuickBlox\",\"item\":\"https://docs.quickblox.com\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Overview\",\"item\":\"https://docs.quickblox.com/reference/overview\"}]},{\"@type\":[\"Article\",\"TechArticle\"],\"@id\":\"https://docs.quickblox.com/reference/overview#article\",\"headline\":\"Overview\",\"name\":\"Overview\",\"description\":\"QuickBlox API is comprised of different web resources representing data associated with chat activities. You can directly interact with these resources via dedicated actions over standard HTTP protocols.\",\"url\":\"https://docs.quickblox.com/reference/overview\",\"mainEntityOfPage\":{\"@id\":\"https://docs.quickblox.com/reference/overview#webpage\"},\"dateModified\":\"2025-08-13T15:50:34.121Z\",\"publisher\":{\"@id\":\"https://docs.quickblox.com/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.quickblox.com#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"QuickBlox\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"QuickBlox","nav":{"global":{"anchors":[{"anchor":"SDK Downloads","icon":"webhook","href":"https://github.com/QuickBlox"},{"anchor":"Community","icon":"discord","href":"https://discord.com/invite/ZWZ3WpYZ9q"},{"anchor":"Blog","icon":"newspaper","href":"https://quickblox.com/blog/"}]},"tabs":[{"tab":"Documentation","pages":[{"title":"Documentation","href":"/docs/quickstart"}]},{"tab":"Server API","groups":[{"group":"REST API","pages":[{"title":"Overview","icon":"circle-info","href":"/reference/overview"},{"title":"Limits","description":"The purpose of the **rate limit** is to ensure a high quality of QuickBlox service across all QuickBlox accounts, by limiting the number of API requests that an account can produce per second.","mode":"wide","icon":"traffic-light-stop","href":"/reference/limits"},{"title":"Errors","mode":"wide","icon":"triangle-exclamation","href":"/reference/errors"},{"title":"Get Account Settings","api":"GET https://api.quickblox.com/account_settings.json","playground":"simple","href":"/reference/get-account-settings"},{"group":"Authentication","icon":"lock","pages":[{"title":"Authentication","sidebarTitle":"Overview","icon":"circle-info","href":"/reference/authentication"},{"title":"Session Model","mode":"wide","icon":"key","href":"/reference/session-model"},{"title":"Create Session","api":"POST https://api.quickblox.com/session.json","playground":"simple","href":"/reference/create-session"},{"title":"Get Session","api":"GET https://api.quickblox.com/session.json","playground":"simple","href":"/reference/get-session"},{"title":"Log In","api":"POST https://api.quickblox.com/login.json","playground":"simple","href":"/reference/log-in"},{"title":"Log Out","api":"DELETE https://api.quickblox.com/login.json","playground":"simple","href":"/reference/log-out"},{"title":"Delete Session","api":"DELETE https://api.quickblox.com/session.json","playground":"simple","href":"/reference/delete-session"}]},{"group":"Users","icon":"user","pages":[{"title":"Users","mode":"wide","sidebarTitle":"Overview","icon":"circle-info","href":"/reference/users"},{"title":"User Model","mode":"wide","icon":"user","href":"/reference/user-model"},{"title":"Create User","api":"POST https://api.quickblox.com/users.json","playground":"simple","href":"/reference/create-user"},{"title":"Create Token with API key","api":"POST https://api.quickblox.com/users/{user_id}/tokens","playground":"simple","href":"/reference/create-token-with-api-key"},{"title":"Delete Token with API key","api":"DELETE https://api.quickblox.com/users/{user_id}/tokens/{token}","playground":"simple","href":"/reference/delete-token-with-api-key"},{"title":"Flush Tokens with API key","api":"DELETE https://api.quickblox.com/users/{user_id}/tokens","playground":"simple","href":"/reference/flush-tokens-with-api-key"},{"title":"List Users","api":"GET https://api.quickblox.com/users.json","playground":"simple","href":"/reference/list-users"},{"title":"List Users by Full Name","api":"GET https://api.quickblox.com/users/by_full_name.json","playground":"simple","href":"/reference/list-users-by-full-name"},{"title":"List Users by Tags","api":"GET https://api.quickblox.com/users/by_tags.json","playground":"simple","href":"/reference/list-users-by-tags"},{"title":"Get User by ID","api":"GET https://api.quickblox.com/users/{user_id}.json","playground":"simple","href":"/reference/get-user-by-id"},{"title":"Get User by Login","api":"GET https://api.quickblox.com/users/by_login.json","playground":"simple","href":"/reference/get-user-by-login"},{"title":"Get User by Facebook ID","api":"GET https://api.quickblox.com/users/by_facebook_id.json","playground":"simple","href":"/reference/get-user-by-facebook"},{"title":"Get User by Email","api":"GET https://api.quickblox.com/users/by_email.json","playground":"simple","href":"/reference/get-user-by-email"},{"title":"Get User by External User ID","api":"GET https://api.quickblox.com/users/external/{external_user_id}.json","playground":"simple","href":"/reference/get-user-by-external-user-id"},{"title":"Update User","api":"PUT https://api.quickblox.com/users/{user_id}.json","playground":"simple","href":"/reference/update-user"},{"title":"Delete User by ID","api":"DELETE https://api.quickblox.com/users/{user_id}.json","playground":"simple","href":"/reference/delete-user"},{"title":"Delete User by External ID","api":"DELETE https://api.quickblox.com/users/external/{external_user_id}.json","playground":"simple","href":"/reference/delete-user-by-external-id"},{"title":"Reset User Password","api":"GET https://api.quickblox.com/users/password/reset.json","playground":"simple","href":"/reference/reset-user-password"}]},{"group":"Chat","icon":"messages","pages":[{"title":"Chat","mode":"wide","sidebarTitle":"Overview","icon":"circle-info","href":"/reference/chat"},{"title":"Dialog Model","mode":"wide","icon":"messages","href":"/reference/dialog-model"},{"title":"Create Dialog","api":"POST https://api.quickblox.com/chat/Dialog.json","playground":"simple","href":"/reference/create-dialog"},{"title":"List Dialogs","api":"GET https://api.quickblox.com/chat/Dialog.json","playground":"simple","href":"/reference/list-dialogs"},{"title":"Get Dialog by ID","api":"GET https://api.quickblox.com/chat/Dialog/{chat_dialog_id}.json","playground":"simple","href":"/reference/get-dialog-by-id"},{"title":"Update Dialog","api":"PUT https://api.quickblox.com/chat/Dialog/{chat_dialog_id}.json","playground":"simple","href":"/reference/update-dialog"},{"title":"Delete Dialog","api":"DELETE https://api.quickblox.com/chat/Dialog/{chat_dialog_id},{chat_dialog_id}.json","playground":"simple","href":"/reference/delete-dialog"},{"title":"Get Notification Settings","api":"GET https://api.quickblox.com/chat/Dialog/{chat_dialog_id}/notifications.json","playground":"simple","href":"/reference/get-notification-settings"},{"title":"Update Notification Settings","api":"PUT https://api.quickblox.com/chat/Dialog/{chat_dialog_id}/notifications.json","playground":"simple","href":"/reference/update-notification-settings"},{"title":"Message Model","mode":"wide","icon":"message","href":"/reference/messages"},{"title":"Create Message","api":"POST https://api.quickblox.com/chat/Message.json","playground":"simple","href":"/reference/create-message"},{"title":"List Messages","api":"GET https://api.quickblox.com/chat/Message.json","playground":"simple","href":"/reference/list-messages"},{"title":"Get Message by ID","api":"GET https://api.quickblox.com/chat/Message/{chat_message_id}","playground":"simple","href":"/reference/get-message-by-id"},{"title":"Update Message","api":"PUT https://api.quickblox.com/chat/Message/{chat_message_id}.json","playground":"simple","href":"/reference/update-message"},{"title":"Mark All Messages as Delivered","api":"PATCH https://api.quickblox.com/chat/Message/delivered.json","playground":"simple","href":"/reference/mark-all-messages-as-delivered"},{"title":"Mark All Messages as Read","api":"PATCH https://api.quickblox.com/chat/Message/read.json","playground":"simple","href":"/reference/mark-all-messages-as-read"},{"title":"Delete Message","api":"DELETE https://api.quickblox.com/chat/Message/{chat_message_id},{chat_message_id}.json","playground":"simple","href":"/reference/delete-message"},{"title":"Get Unread Messages Count","api":"GET https://api.quickblox.com/chat/Message/unread.json","playground":"simple","href":"/reference/get-unread-message-count"},{"title":"Reaction Model","mode":"wide","icon":"thumbs-up","href":"/reference/reaction-model"},{"title":"Add Reaction","api":"POST https://api.quickblox.com/chat/Message/{chat_message_id}/reactions","playground":"simple","href":"/reference/add-reaction"},{"title":"List Reactions","api":"GET https://api.quickblox.com/chat/Message/{chat_message_id}/reactions","playground":"simple","href":"/reference/list-reactions"},{"title":"Remove Reaction","api":"DELETE https://api.quickblox.com/chat/Message/{chat_message_id}/reactions","playground":"simple","href":"/reference/remove-reaction"}]},{"group":"Content","icon":"file","pages":[{"title":"Content","mode":"wide","sidebarTitle":"Overview","icon":"circle-info","href":"/reference/content"},{"title":"Blob Model","mode":"wide","icon":"folder-open","href":"/reference/blob-model"},{"title":"Create File","api":"POST https://api.quickblox.com/blobs.json","playground":"simple","href":"/reference/create-file"},{"title":"List Files","api":"GET https://api.quickblox.com/blobs.json","playground":"simple","href":"/reference/list-files"},{"title":"Upload File","api":"POST https://api.quickblox.com/blobs/{blob_id}/upload.json","playground":"simple","href":"/reference/upload-file"},{"title":"Mark File Uploaded","api":"PUT https://api.quickblox.com/blobs/{blob_id}/complete.json","playground":"simple","href":"/reference/mark-file-uploaded"},{"title":"Get File by ID","api":"GET https://api.quickblox.com/blobs/{blob_id}.json","playground":"simple","href":"/reference/get-file-by-id"},{"title":"Download File by UID","api":"GET https://api.quickblox.com/blobs/{blob_uid}/download.json","playground":"simple","href":"/reference/download-file-by-uid"},{"title":"Update File","api":"PUT https://api.quickblox.com/blobs/{blob_id}.json","playground":"simple","href":"/reference/update-file"},{"title":"Delete File","api":"DELETE https://api.quickblox.com/blobs/{blob_id}.json","playground":"simple","href":"/reference/delete-file"}]},{"group":"Push Notifications","icon":"bell","pages":[{"title":"Push Notifications","mode":"wide","sidebarTitle":"Overview","icon":"circle-info","href":"/reference/push-notifications"},{"title":"Subscription Model","mode":"wide","icon":"recycle","href":"/reference/subscription-model"},{"title":"Create Subscription","api":"POST https://api.quickblox.com/subscriptions.json","playground":"simple","href":"/reference/create-subscription"},{"title":"List Subscriptions","api":"GET https://api.quickblox.com/subscriptions.json","playground":"simple","href":"/reference/list-subscriptions"},{"title":"Delete Subscription","api":"DELETE https://api.quickblox.com/subscriptions/{subscription_id}.json","playground":"simple","href":"/reference/delete-subscription"},{"title":"Event Model","mode":"wide","icon":"calendar-days","href":"/reference/events"},{"title":"Create Event","api":"POST https://api.quickblox.com/events.json","playground":"simple","href":"/reference/create-event"},{"title":"List Events","api":"GET https://api.quickblox.com/events.json","playground":"simple","href":"/reference/list-events"},{"title":"Get Event by ID","api":"GET https://api.quickblox.com/events/{event_id}.json","playground":"simple","href":"/reference/get-event-by-id"},{"title":"Update Event","api":"PUT https://api.quickblox.com/events/{event_id}.json","playground":"simple","href":"/reference/update-event"},{"title":"Delete Event","api":"DELETE https://api.quickblox.com/events/{event_id}.json","playground":"simple","href":"/reference/delete-event"},{"title":"Push Notification Formats","icon":"bell","href":"/reference/push-notification-formats"}]},{"group":"Custom Objects","icon":"database","pages":[{"title":"Custom Objects","mode":"wide","sidebarTitle":"Overview","icon":"circle-info","href":"/reference/custom-objects"},{"title":"Dashboard","mode":"wide","icon":"gauge","href":"/reference/dashboard"},{"title":"Relations","mode":"wide","icon":"heart","href":"/reference/relations"},{"title":"Permissions","icon":"triangle-instrument","href":"/reference/permissions"},{"title":"Class Model","mode":"wide","icon":"rectangle-code","href":"/reference/class-model"},{"title":"Create Class","api":"POST https://api.quickblox.com/class.json","playground":"simple","href":"/reference/create-class"},{"title":"Record Model","mode":"wide","icon":"rectangle-code","href":"/reference/record-model"},{"title":"Create Record","api":"POST https://api.quickblox.com/data/{class_name}.json","playground":"simple","href":"/reference/create-record"},{"title":"Create Child Record","api":"POST https://api.quickblox.com/data/{class_name}/{parent_id}/{child_name}","playground":"simple","href":"/reference/create-child-record"},{"title":"Create Multi Records","api":"POST https://api.quickblox.com/data/{class_name}/multi.json","playground":"simple","href":"/reference/create-multi-records"},{"title":"List Records","api":"GET https://api.quickblox.com/data/{class_name}.json","playground":"simple","href":"/reference/list-records"},{"title":"List Records by IDs","api":"GET https://api.quickblox.com/data/{class_name}/{custom_object_record_id},{custom_object_record_id}.json","playground":"simple","href":"/reference/list-records-by-ids"},{"title":"Update Record","api":"PUT https://api.quickblox.com/data/{class_name}/{custom_object_record_id}.json","playground":"simple","href":"/reference/update-record"},{"title":"Update Records by Criteria","api":"PUT https://api.quickblox.com/data/{class_name}/by_criteria.json","playground":"simple","href":"/reference/update-records-by-criteria"},{"title":"Update Multi Records","api":"PUT https://api.quickblox.com/data/{class_name}/multi.json","playground":"simple","href":"/reference/update-multi-records"},{"title":"Delete Records","api":"DELETE https://api.quickblox.com/data/{class_name}/{custom_object_record_id},{custom_object_record_id}.json","playground":"simple","href":"/reference/delete-records"},{"title":"Delete Records by Criteria","api":"DELETE https://api.quickblox.com/data/{class_name}/by_criteria.json","playground":"simple","href":"/reference/delete-records-by-criteria"},{"title":"File Model","mode":"wide","icon":"file-code","href":"/reference/file-model"},{"title":"Upload/Update File","api":"POST https://api.quickblox.com/data/{class_name}/{custom_object_record_id}/file.json","playground":"simple","href":"/reference/upload-update-file"},{"title":"Download File","api":"GET https://api.quickblox.com/data/{class_name}/{custom_object_record_id}/file.json","playground":"simple","href":"/reference/download-file"},{"title":"Delete File","api":"DELETE https://api.quickblox.com/data/{class_name}/{custom_object_record_id}/file.json","playground":"simple","href":"/reference/custom-objects-delete-file"},{"title":"Tips and Tricks","icon":"lightbulb","href":"/reference/tips-and-tricks"}]},{"group":"Address Book","icon":"address-book","pages":[{"title":"Address Book","sidebarTitle":"Overview","mode":"wide","icon":"circle-info","href":"/reference/address-book"},{"title":"Contact Model","mode":"wide","icon":"address-book","href":"/reference/contact-model"},{"title":"Upload Address Book","api":"POST https://api.quickblox.com/address_book.json","playground":"simple","href":"/reference/upload-address-book"},{"title":"Get Address Book","api":"GET https://api.quickblox.com/address_book.json","playground":"simple","href":"/reference/get-address-book"},{"title":"List Registered Users","api":"GET https://api.quickblox.com/address_book/registered_users.json","playground":"simple","href":"/reference/get-registered-contacts-users"}]},{"group":"AI","icon":"microchip-ai","pages":[{"title":"AI","mode":"wide","sidebarTitle":"Overview","icon":"circle-info","href":"/reference/ai"},{"title":"AI Answer Assist","api":"POST https://api.quickblox.com/ai/ai_extensions/ai_answer_assist","playground":"simple","href":"/reference/ai-extensions-ai-answer-assist"},{"title":"AI Translate","api":"POST https://api.quickblox.com/ai/ai_extensions/ai_translate","playground":"simple","href":"/reference/ai-extensions-ai-translate"},{"title":"AI Summarize","api":"POST https://api.quickblox.com/ai/ai_extensions/ai_summarize","playground":"simple","href":"/reference/ai-extensions-ai-summarize"},{"title":"HIPAA AI Gateway","api":"POST https://api.quickblox.com/ai/ai_extensions/ai_gateway","playground":"simple","href":"/reference/ai-extensions-ai-gateway"}]}]}]},{"tab":"UIKits","pages":[{"title":"UIKits","href":"/ui-kits/overview"}]},{"tab":"SDKs","pages":[{"title":"SDKs","href":"/sdks/sdk-overview"}]},{"tab":"Code Samples","pages":[{"title":"Code Samples","href":"/code-samples/overview"}]},{"tab":"AI Agent","pages":[{"title":"AI Agent","href":"/ai-agent/overview"}]}]},"basePath":"","title":"Overview - QuickBlox","buildId":"dpl_36EDyZCDfRuoUD9af5CH4M1bqY2h","deploymentId":"dpl_36EDyZCDfRuoUD9af5CH4M1bqY2h","dynamics":[],"chunks":[]}